Get Prompt Variants
GET
/api/canvas/learning/prompt-variants
const url = 'https://example.com/api/canvas/learning/prompt-variants?section_type=example&deal_id=example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/canvas/learning/prompt-variants?section_type=example&deal_id=example' \ --header 'Authorization: Bearer <token>'Return tracked prompt variant outcomes for a section type.
Lists all prompt hashes with their quality/rating statistics, sorted by avg_quality descending.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” section_type
required
Section Type
Memo section key
string
Memo section key
deal_id
required
Deal Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}